Bug 1256353 - Review Request: python-editor - Programmatically open an editor, capture the result.
Review Request: python-editor - Programmatically open an editor, capture the ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chandan Kumar
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: RDO-LIBERTY-REVIEWS 1245848
  Show dependency treegraph
 
Reported: 2015-08-24 08:09 EDT by Lukas Bezdicka
Modified: 2015-12-15 02:58 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 14:20:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkumar246: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lukas Bezdicka 2015-08-24 08:09:18 EDT
Spec URL: https://github.com/xbezdick/python-editor/blob/master/python-editor.spec
SRPM URL: https://social.fedorapeople.org/python-editor-master-1.fc22.src.rpm
Description: Programmatically open an editor, capture the result.
Fedora Account System Username: social
Comment 2 Javier Peña 2015-08-25 10:02:18 EDT
Would it be possible to add the README.md file to the python3 package? I guess it should be there, too.

I'm still not sure I understand the new guidelines about %python_provide usage, so I'll leave that for someone more experienced.
Comment 3 Lukas Bezdicka 2015-08-25 11:30:43 EDT
(In reply to Javier Peña from comment #2)
> Would it be possible to add the README.md file to the python3 package? I
> guess it should be there, too.
> 
> I'm still not sure I understand the new guidelines about %python_provide
> usage, so I'll leave that for someone more experienced.


I added README.md to python3 package.
Comment 4 Chandan Kumar 2015-08-25 11:37:05 EDT
Hello Social,

Thanks for submitting the package for review.
Below is my inline comments:

[1.] under %prep section, Remove bundled egg-info by adding
rm -rf %{pypi_name}.egg-info

[2.] since there is no test folder, you can remove %check macro

[3.] under %files,
Please replace %{python2_sitelib}/* with

%{python2_sitelib}/editor.py*
%{python2_sitelib}/python_editor-%{version}-py?.?.egg-info

Note: editor.py may contains some byte compiled files which needs to be required under exceution.

[4.] under %files -n python3-editor section
include
%doc README

replace %{python3_sitelib}/editor.py with %{python3_sitelib}/editor.py*

[5.] Please add the changelog for the spec file.
Comment 5 Chandan Kumar 2015-08-25 11:47:41 EDT
[1.] In the spec file, use 
Source: https://pypi.python.org/packages/source/p/python-editor/python-editor-0.3.tar.gz

[2.] Since License file is missing in pypi tarball, please add the following issue link https://github.com/fmoo/python-editor/issues/3 in spec file and then modify the spec.
Comment 6 Lukas Bezdicka 2015-08-26 05:00:18 EDT
Updated to 0.4 and created koji build.
ScratchBuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=10836458
Comment 7 Lukas Bezdicka 2015-08-26 08:18:24 EDT
New scratch build with fixed rpmlint issues:
ScratchBuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=10837750
Comment 8 Lukas Bezdicka 2015-08-26 08:38:21 EDT
SRCRPM URL: https://social.fedorapeople.org/python-editor-0.4-1.fc22.src.rpm
Comment 9 Chandan Kumar 2015-08-26 09:05:24 EDT
Looks good now.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/chandankumar/review-python-
     editor/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-editor
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-editor-0.4-1.fc22.noarch.rpm
          python3-editor-0.4-1.fc22.noarch.rpm
          python-editor-0.4-1.fc22.src.rpm
python-editor.noarch: W: spelling-error Summary(en_US) Programmatically -> Pro grammatically, Pro-grammatically, Programmatic ally
python-editor.noarch: W: summary-ended-with-dot C Programmatically open an editor, capture the result.
python3-editor.noarch: W: spelling-error Summary(en_US) Programmatically -> Pro grammatically, Pro-grammatically, Programmatic ally
python3-editor.noarch: W: summary-ended-with-dot C Programmatically open an editor, capture the result.
python-editor.src: W: spelling-error Summary(en_US) Programmatically -> Pro grammatically, Pro-grammatically, Programmatic ally
python-editor.src: W: summary-ended-with-dot C Programmatically open an editor, capture the result.
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python-editor.noarch: W: spelling-error Summary(en_US) Programmatically -> Pro grammatically, Pro-grammatically, Programmatic ally
python-editor.noarch: W: summary-ended-with-dot C Programmatically open an editor, capture the result.
python3-editor.noarch: W: spelling-error Summary(en_US) Programmatically -> Pro grammatically, Pro-grammatically, Programmatic ally
python3-editor.noarch: W: summary-ended-with-dot C Programmatically open an editor, capture the result.
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
python-editor (rpmlib, GLIBC filtered):
    /usr/bin/env
    python(abi)

python3-editor (rpmlib, GLIBC filtered):
    /usr/bin/env
    python(abi)



Provides
--------
python-editor:
    python-editor

python3-editor:
    python3-editor



Source checksums
----------------
https://pypi.python.org/packages/source/p/python-editor/python-editor-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 4421a7116bf3af957266f225bc79ad25b92839cc7974c8335bba5a6582edd3bf
  CHECKSUM(SHA256) upstream package : 4421a7116bf3af957266f225bc79ad25b92839cc7974c8335bba5a6582edd3bf
Comment 10 Lukas Bezdicka 2015-08-26 10:02:37 EDT
New Package SCM Request
=======================
Package Name: python-editor 
Short Description: Programmatically open an editor, capture the result.
Upstream URL: https://github.com/fmoo/python-editor
Owners: social apevec social
Branches: f22 f23 epel7
InitialCC:
Comment 11 Lukas Bezdicka 2015-08-26 10:04:42 EDT
New Package SCM Request
=======================
Package Name: python-editor 
Short Description: Programmatically open an editor, capture the result.
Upstream URL: https://github.com/fmoo/python-editor
Owners: social apevec
Branches: f22 f23 epel7
InitialCC:
Comment 12 Gwyn Ciesla 2015-08-26 11:41:04 EDT
Git done (by process-git-requests).
Comment 13 Ralph Bean 2015-10-22 07:31:42 EDT
Are there going to be bodhi updates for this new package?
Comment 14 Tim Flink 2015-11-24 12:42:45 EST
Are there going to be koji builds and bodhi updates for this new package?
Comment 15 Fedora Update System 2015-11-24 12:53:31 EST
python-editor-0.4-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e662b9cd9a
Comment 16 Fedora Update System 2015-11-24 12:53:42 EST
python-editor-0.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16ffa3adda
Comment 17 Fedora Update System 2015-11-24 12:54:03 EST
python-editor-0.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9b2a9f807c
Comment 18 Fedora Update System 2015-11-25 19:53:58 EST
python-alembic-0.8.3-3.el7, python-editor-0.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-alembic python-editor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9b2a9f807c
Comment 19 Fedora Update System 2015-11-25 21:26:04 EST
python-alembic-0.8.3-3.fc22, python-editor-0.4-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-alembic python-editor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e662b9cd9a
Comment 20 Fedora Update System 2015-11-25 21:54:58 EST
python-alembic-0.8.3-3.fc23, python-editor-0.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-alembic python-editor'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16ffa3adda
Comment 21 Fedora Update System 2015-12-04 14:20:16 EST
python-alembic-0.8.3-3.fc23, python-editor-0.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-12-04 16:20:51 EST
python-alembic-0.8.3-3.fc22, python-editor-0.4-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-12-15 02:58:17 EST
python-alembic-0.8.3-3.el7, python-editor-0.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.